/*******************************************************************************
Chapter 15

Data for leak in house problem p349 Bratko E4.
Major problem is verifying the rules are correct.

Query: is_true(leak_in_kitchen).
*******************************************************************************/

:- [f15_6_bc_interpreter].

fact(hall_wet).
fact(bathroom_dry).
fact(window_closed).

if hall_wet and kitchen_dry then leak_in_bathroom.
if hall_wet and bathroom_dry then problem_in_kitchen.
if window_closed or no_rain then no_water_from_outside.
if problem_in_kitchen and no_water_from_outside then leak_in_kitchen.
